package com.sunxung.factoring.entity.underlying.vo;

import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.underlying.UnderlyingHisAccountsReceivableInfo;
import com.sunxung.factoring.entity.underlying.UnderlyingHisGoodsInfo;
import com.sunxung.factoring.entity.underlying.UnderlyingHisInfo;

import java.util.List;

/**
 * @Description : 底层信息Vo类
 * @Author : L.Jia
 * @Date: 2022-03-04 10:06
 */
public class UnderlyingHisInfoVo {

    /**
     * 底层历史信息
     */
    private UnderlyingHisInfo underlyingHisInfo;

    /**
     * 货物信息
     */
    private List<UnderlyingHisGoodsInfo> underlyingHisGoodsInfoList;

    /**
     * 网价附件
     */
    private List<FileStorage> underlyingFileList;

    /**
     * 底层应收账款信息
     */
    private List<UnderlyingHisAccountsReceivableInfo> hisAccountsReceivableInfoList;

    public UnderlyingHisInfo getUnderlyingHisInfo() {
        return underlyingHisInfo;
    }

    public void setUnderlyingHisInfo(UnderlyingHisInfo underlyingHisInfo) {
        this.underlyingHisInfo = underlyingHisInfo;
    }

    public List<UnderlyingHisGoodsInfo> getUnderlyingHisGoodsInfoList() {
        return underlyingHisGoodsInfoList;
    }

    public void setUnderlyingHisGoodsInfoList(List<UnderlyingHisGoodsInfo> underlyingHisGoodsInfoList) {
        this.underlyingHisGoodsInfoList = underlyingHisGoodsInfoList;
    }

    public List<FileStorage> getUnderlyingFileList() {
        return underlyingFileList;
    }

    public void setUnderlyingFileList(List<FileStorage> underlyingFileList) {
        this.underlyingFileList = underlyingFileList;
    }

    public List<UnderlyingHisAccountsReceivableInfo> getHisAccountsReceivableInfoList() {
        return hisAccountsReceivableInfoList;
    }

    public void setHisAccountsReceivableInfoList(List<UnderlyingHisAccountsReceivableInfo> hisAccountsReceivableInfoList) {
        this.hisAccountsReceivableInfoList = hisAccountsReceivableInfoList;
    }
}
